Hello, can anyone help me to solve this code?
I want to get the X coordinate of the points with some Python code but I get lost.
Python gives an error, and I don’t know how to solve it.
Thanks in advance
Hello, can anyone help me to solve this code?
I want to get the X coordinate of the points with some Python code but I get lost.
Python gives an error, and I don’t know how to solve it.
Thanks in advance
The error is because you are asking a list for its Z coordinate, rather than an individual point. One method is to loop over the list of points and query their individual Z positions and appending that to the out list:
import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *
points = IN[0]
out = []
for point in points:
out.append(point.Z)
OUT = out
or, in one line
OUT = [point.Z for point in IN[0]]
Thank you very much!